> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List Natures

> List natures.



## OpenAPI

````yaml /openapi-specs/lucca-invoices.yaml get /cleemy-procurement/api/natures
openapi: 3.1.0
info:
  title: Lucca.Invoices
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Invoices API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Purchases
    description: Purchases.
  - name: Cost-Centers
    description: Cost-Centers.
  - name: Approval
    description: Approval.
  - name: VAT
    description: VAT Rates.
  - name: Booked-Documents
    description: Booked-Documents.
  - name: Suppliers
    description: Suppliers.
  - name: Natures
    description: Natures.
  - name: Invoices
    description: Invoices.
  - name: Inbox
    description: Inbox.
  - name: Documents
    description: Documents.
paths:
  /cleemy-procurement/api/natures:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Natures
      summary: List Natures
      description: List natures.
      operationId: get-natures
      parameters:
        - $ref: '#/components/parameters/fields.root'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/nature'
                  prev:
                    type:
                      - string
                      - integer
                      - 'null'
                  next:
                    type:
                      - string
                      - integer
                      - 'null'
                  count:
                    type: integer
                    format: int32
                    minimum: 0
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    fields.root:
      name: fields.root
      description: Include root collection fields (paging).
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - prev
            - next
            - count
    page:
      name: page
      in: query
      description: Page selection.
      schema:
        oneOf:
          - title: token
            description: >-
              Page tokens can be retrieved by adding ?fields.root=next,prev on
              your GET collections requests.
            type: string
          - title: index
            description: Index of the page.
            type: integer
            format: int32
            minimum: 0
    limit:
      name: limit
      in: query
      description: Page size.
      schema:
        type: integer
        minimum: 0
        maximum: 1000
  schemas:
    nature:
      title: nature
      description: A purchase nature (category).
      type: object
      properties:
        id:
          type: integer
          format: int32
          readOnly: true
        name:
          type: string
        costFamily:
          description: '**Read-only.** Cost family of this nature.'
          readOnly: true
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
              format: int32
            name:
              type: string
        costFamilyId:
          description: '**Write-only.** ID of the cost family.'
          type:
            - integer
            - 'null'
          format: int32
          writeOnly: true
        state:
          type: string
          enum:
            - Enabled
            - Disabled
        accountingPlans:
          description: Accounting plans for this nature.
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
                format: int32
              chargeAccount:
                type:
                  - string
                  - 'null'

````